# Class UnlockPhase

#### Hierarchy (view full)

- Phase
  - UnlockPhase

- Defined in src/phases.ts:4213

#####
Index

### Constructors

constructor

### Properties

scene
unlockable

### Methods

end
start

## Constructors

### constructor

- new UnlockPhase(scene, unlockable): UnlockPhase

- #### Parameters

  - scene: default
  - unlockable: Unlockables

  #### Returns UnlockPhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:4216

## Properties

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

### `Private` unlockable

unlockable: Unlockables

- Defined in src/phases.ts:4214

## Methods

### end

- end(): void

- #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:17

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:4222